summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSam James <sam@gentoo.org>2021-04-10 00:19:59 +0100
committerSam James <sam@gentoo.org>2021-04-10 00:19:59 +0100
commit9ffe4afadb55fc12c58131c9d3fdfb0199c5d13f (patch)
tree3591aa3585def00fb61e84f23a0707d80daaa656
parentmetadata/install-qa-check.d: disable non-applicable QA checks for EAPI 5 (diff)
downloadgentoo-9ffe4afadb55fc12c58131c9d3fdfb0199c5d13f.tar.gz
gentoo-9ffe4afadb55fc12c58131c9d3fdfb0199c5d13f.tar.bz2
gentoo-9ffe4afadb55fc12c58131c9d3fdfb0199c5d13f.zip
python-utils-r1.eclass: add note when dropping EAPI support
We need to remember to update metadata/install-qa-check.d/60python-pyc in future to disable now non-applicable QA checks. If we don't, we end up breaking older EAPI installs in general. See: 1137a7ecce67c48fc9a69ab320c6156c40366122 See: bdcfb21ca5a84567e9c9d6a456374a05e798f78e Bug: https://bugs.gentoo.org/704286 Bug: https://bugs.gentoo.org/781878 Signed-off-by: Sam James <sam@gentoo.org>
-rw-r--r--eclass/python-utils-r1.eclass3
1 files changed, 3 insertions, 0 deletions
diff --git a/eclass/python-utils-r1.eclass b/eclass/python-utils-r1.eclass
index 2a6d74bf343..77fbab7431b 100644
--- a/eclass/python-utils-r1.eclass
+++ b/eclass/python-utils-r1.eclass
@@ -19,6 +19,9 @@
# For more information, please see the Python Guide:
# https://dev.gentoo.org/~mgorny/python-guide/
+# NOTE: When dropping support for EAPIs here, we need to update
+# metadata/install-qa-check.d/60python-pyc
+# See bug #704286, bug #781878
case "${EAPI:-0}" in
[0-5]) die "Unsupported EAPI=${EAPI:-0} (too old) for ${ECLASS}" ;;
[6-7]) ;;